Eclipse Platform Release 3.7

## org.eclipse.jface.viewers
Interface IFontProvider

All Known Implementing Classes:
  AbstractSynchronizationLabelProvider, ColumnLabelProvider, DecoratingLabelProvider, PropertyColumnLabelProvider, SynchronizationLabelProvider, TreeColumnViewerLabelProvider, WorkbenchLabelProvider

    public interface IFontProvider

Interface to provide font representation for a given element.

Since:
  3.0
See Also:
  `IFontDecorator`

Method Summary
`Font` `getFont(Object element)` Provides a font for the given element.

Method Detail

### getFont

    Font getFont(Object element)

  Provides a font for the given element.

  Parameters:
    `element` - the element
  Returns:
    the font for the element, or `null` to use the default font

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.